@import url('https://fonts.googleapis.com/css2?family=Crimson+Text&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inconsolata&display=swap');

* {
    background: var(--bg);
    color: var(--text);
    font-family: 'CMU Typewriter Text', serif;
}

.table-wrapper {
    max-width: 100%;
    overflow-x: auto;
}

table {
    border: 1px solid #999999;
    border-spacing: 0;
    border-radius: 0.2rem;
}

td,
th {
    padding: 0.4rem;
    border-right: 1px solid #bbbbbb;
    border-bottom: 1px solid #bbbbbb;
    margin: 0;
}

th {
    border-color: #999999;
}

td:last-child,
th:last-child {
    border-right: none;
}

tr:last-child>td {
    border-bottom: none;
}

thead {
    margin: 0;
    padding: 0;
}

blockquote {
    margin-left: 0.4rem;
    padding: 0.1rem;
    padding-left: 1rem;
    border-left: 0.2rem solid rgb(207, 207, 207);
}

blockquote p {
    margin: 0.1rem;
}

.img-wrapper>img {
    max-height: 70vh;
    max-width: 100%;
    object-fit: contain;
    border: 2px solid gray;
    border-radius: 0.4rem;
}

.img-wrapper {
    text-align: center;
}

.img-description {
    text-align: center;
    font-style: italic;
    font-size: 1rem;
    color: #888;
    display: block;
    line-height: 1;
    margin-bottom: 1rem;
}

* a {
    text-decoration: none;
    color: var(--text);
    padding-bottom: 3px;
    border-bottom: 2px dashed var(--primary-border);
}

* a:hover {
    border-bottom: 2px solid var(--text);
    color: var(--primary-border);
}

body {
    display: flex;
    align-items: center;
    flex-direction: column;
    min-height: 100%;
    height: 100%;
    margin-bottom: 20px;
}

html {
    height: calc(100% - 20px);
    margin: 0;
}

.back {
    width: 100%;
    text-align: center;
    font-size: 1rem;
    padding: 1px;
}

#content-wrapper {
    margin: 5px;
    padding: 5px;
    padding-bottom: 10px;
    max-width: 100ch;
}

#text {
    line-height: 1.6;
    font-size: 1.25rem;
    color: var(--text);
    padding: 10px;
    margin-left: 10px;
}

#timestamp {
    color: var(--text);
    margin-left: 10px;
    font-size: 1.2em;
}

body {
    --bg: #202020;
    --primary-border: #999999;
    --header: #202020;
    --text: #eeeeee;
}

ul {
    padding-inline-start: 0.4rem;
}

.text-content {
    background: #fffff0;
}

@media (prefers-color-scheme: light) {
    body {
        --bg: #fcf5f0;
        --primary-border: #999999;
        --header: #202020;
        --text: #202020;
    }

    .project-item {
        background: #fffff0;
    }

    .img-description {
        color: #555555;
    }
}

@media (prefers-color-scheme: dark) {
    body {
        --bg: #202020;
        --primary-border: #999999;
        --text: #eeeeee;
        --header: #fcf5f0;
    }

    .project-item {
        background: #202020;
    }
}

.title-wrapper {
    text-align: center;
}

#footnotes {
    font-size: 1em;
    padding-top: 4px;
}

#footnotes::before {
    display: block;
    content: "";
    margin-bottom: 10px;
    width: 40%;
    height: 2px;
    border-top: 2px solid var(--text);
}

a[id^=n] {
    display: inline-block;
    border: none;
}

a[id^=fn] {
    border: none;
}

@media screen and (max-aspect-ratio: 1/1) {
    #content-wrapper {
        width: 100%;
        max-width: 100%;
    }

    pre {
        margin: 0.1rem;
    }

    .img-wrapper>img {
        width: auto;
        max-width: 80vw;
        max-height: 60vh;
        padding: auto;
    }
}